summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMohammadreza Abdollahzadeh2017-07-10 12:51:47 +0430
committerMohammadreza Abdollahzadeh2017-07-10 12:51:47 +0430
commit45adad21b7ea797fbae749006e4f558ab08d8711 (patch)
tree6aee7a61329bd3c64b359d9218693a65bf21e9d5
downloadaur-45adad21b7ea797fbae749006e4f558ab08d8711.tar.gz
initial import
-rw-r--r--.SRCINFO25
-rw-r--r--PKGBUILD47
2 files changed, 72 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c46123052c4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+# Generated by mksrcinfo v8
+# Mon Jul 10 08:21:31 UTC 2017
+pkgbase = pygobject-tutorial-git
+ pkgdesc = The PyGObject Tutorial in html format.
+ pkgver = r192.280e3e0
+ pkgrel = 1
+ url = https://github.com/sebp/PyGObject-Tutorial
+ arch = any
+ license = FDL1.3
+ makedepends = git
+ makedepends = python-sphinx
+ source = pygobject-tutorial-git::git+https://github.com/sebp/PyGObject-Tutorial.git
+ md5sums = SKIP
+
+pkgname = pygobject-tutorial-git
+ provides = pygobject-tutorial
+ conflicts = pygobject-tutorial
+ replaces = pygobject-tutorial
+
+pkgname = pygobject-tutorial-devhelp-git
+ pkgdesc = The PyGObject Tutorial for GNOME devhelp.
+ provides = pygobject-tutorial-devhelp
+ conflicts = pygobject-tutorial-devhelp
+ replaces = pygobject-tutorial-devhelp
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..5e06dda20a7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Mohammadreza Abdollahzadeh <morealaz at gmail dot com>
+pkgbase=pygobject-tutorial-git
+pkgname=('pygobject-tutorial-git' 'pygobject-tutorial-devhelp-git')
+pkgver=r192.280e3e0
+pkgrel=1
+pkgdesc="The PyGObject Tutorial in html format."
+arch=('any')
+url="https://github.com/sebp/PyGObject-Tutorial"
+license=('FDL1.3')
+makedepends=('git' 'python-sphinx')
+source=("${pkgbase}::git+https://github.com/sebp/PyGObject-Tutorial.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build(){
+ cd "${srcdir}/${pkgbase}"
+ make html
+ make devhelp
+}
+
+package_pygobject-tutorial-git() {
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
+ replaces=("${pkgname%-git}")
+
+ install -d ${pkgdir}/usr/share/doc/python-gobject-tutorial
+ cd "${srcdir}/${pkgbase}"
+ cp -a build/html ${pkgdir}/usr/share/doc/python-gobject-tutorial/
+}
+
+package_pygobject-tutorial-devhelp-git() {
+ pkgdesc="The PyGObject Tutorial for GNOME devhelp."
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
+ replaces=("${pkgname%-git}")
+
+ install -d ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial
+ cd "${srcdir}/${pkgbase}"
+ cp -a build/devhelp/* ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial/
+}